resource "aws_route53_record" "app_domain" {
  zone_id   = data.terraform_remote_state.jdbsoft.outputs.aws_route53_zone_jdbsoft.zone_id
  name      = local.app_domain_name
  type      = "A"

  alias {
    name    = aws_cloudfront_distribution.s3_distribution.domain_name
    zone_id = aws_cloudfront_distribution.s3_distribution.hosted_zone_id
    evaluate_target_health = false
  }

  depends_on  = [aws_cloudfront_distribution.s3_distribution ]
}

resource "aws_route53_record" "api_domain" {
  zone_id   = data.terraform_remote_state.jdbsoft.outputs.aws_route53_zone_jdbsoft.zone_id
  name      = local.api_domain_name
  type      = "A"

  alias {
    name    = data.terraform_remote_state.jdbsoft.outputs.aws_lb_jdbsoft.dns_name
    zone_id = data.terraform_remote_state.jdbsoft.outputs.aws_lb_jdbsoft.zone_id
    evaluate_target_health  = false
  }
}
